## Disable Restriction

### cURL

```
curl --request PUT \
  --url https://your-org.platform.barndoor.ai/api/policies/restrictions/disable/{restriction_name} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://your-org.platform.barndoor.ai/api/policies/restrictions/disable/{restriction_name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://your-org.platform.barndoor.ai/api/policies/restrictions/disable/{restriction_name}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://your-org.platform.barndoor.ai/api/policies/restrictions/disable/{restriction_name}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PUT",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://your-org.platform.barndoor.ai/api/policies/restrictions/disable/{restriction_name}"

req, _ := http.NewRequest("PUT", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```
HttpResponse<String> response = Unirest.put("https://your-org.platform.barndoor.ai/api/policies/restrictions/disable/{restriction_name}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://your-org.platform.barndoor.ai/api/policies/restrictions/disable/{restriction_name}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Error Response

422

```json
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}
```

### Authorizations

**Authorization**  
string  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

**restriction_name**  
string  
required

### Query Parameters

**id**  
string[]

### Response

**200**  
application/json  
Successful Response
